Subject: [Tsvwg] Inquire the problem of TFRC in wireless environment

From: "Lv Qian" <[email-masked]>
Date: Fri, 25 Jun 2004 10:44:04 +0800

Dear all:
    Hi!
    I am studying TFRC these days, and I want to inquire some problems on TFRC in wireless environment.
    TFRC is based on the TCP throughput equation, which is deduced from Reno TCP model [PFTK98]. I noticed that in this paper, the assumption on packet loss can be summarized as follows:   
   ・Packet is lost in a round independently of any packets lost in other rounds. 
   ・Packet losses are correlated among the back-to-back transmissions within a round so if a packet is lost, all remaining packets transmitted until the end of that round are also lost. (It assumes that the router uses DropTail policy).

Questions:  
    (1) Does the TCP throughput equation assume that the packet losses are caused only by congestion? Or does the equation considers both the congestion loss and non-congestion loss if only the loss meet the two assumptions above?
    (2) TFRC can closely models the mechanism used by most TCP variants, including Tahoe,Sack,NewReno,Reno(?), and TFRC can support both RED router and DropTail router. This is because TFRC use loss event fraction to measue packet loss [FHPW00]. Then, does this mean that in TFRC, the assumptions above can be weakened? If so, what is the assumption about the packet loss in TFRC?
    (3) If the packet loss are caused by non-congestion reasons, is TFRC still applicable? For example, in error-prone wireless environment, the packet loss maybe caused by bit error. Then, given that both TFRC and TCP cannot differentiate the wireless loss and congestion loss, is TFRC still friendly to TCP? 
                                                                
Reference:
[PFTK98] J. Padhye, V. Firoiu, D. Towsley, and J. Kurose, “Modeling TCP Throughput: A simple Model and its Empirical Validation,” In Proceedings of ACM SIGCOMM 1998, Vancouver, Canada, Sep. 1998.
[FHPW00] S.Floyd, M.Handley, J.Padhye, and J.Widmer, “Equation-Based Congestion Control for Unicast Applications: the Extended Version”, International Computer Science Institute tech report TR-00-03, March 2000.

Regards,
Lv Qian 
School of Computer Engineering,
Nanyang Technological University

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg